Bug 36377 - Fetch ocfs2-tools from jessie for UCS 4.0-0
Fetch ocfs2-tools from jessie for UCS 4.0-0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kernel
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Philipp Hahn
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-31 23:08 CET by Sönke Schwardt-Krummrich
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-10-31 23:08:51 CET
(In reply to Moritz Muehlenhoff from bug 33844 comment #4)
> I've removed ocfs2-tools for now, once the kernel for Wheezy is decided, a
> current versions needs to be fetched from jessie.

The corresponding binary packages are still present within the scope/repo although there is no src revision assigned to UCS 4.0-0.
Comment 1 Stefan Gohmann univentionstaff 2014-11-01 01:12:34 CET
ocfs2-tools has been updated to 1.6.4-3.

Changelog: r55230
Comment 2 Philipp Hahn univentionstaff 2014-11-04 14:16:01 CET
OK: r55230 Changelog
OK: repo_get_version.py -p ocfs2-tools -r 4.0 # 1.6.4-3
OK: cd /var/univention/buildsystem2/apt/ucs_4.0-0&&dcmd */ocfs2-tools_1.6.4-3*.changes | sed -re 's,(amd64|i386|all|source)/(.*_(amd64|i386|all)\.u?deb),\3/\2,;s,(amd64|i386|all|source)/(.*\.(dsc|tar\.gz|diff.gz)),source/\2,' | xargs ls -1
OK: apt-cache ocfs2-tools # unmaintained/4.0-0/amd64/

1× vol-create-as default phahn_ocfs.raw --capacity 10G --format raw --allocation 0
...
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw' cache='none'/>
      <source file='/var/lib/libvirt/images/phahn_ocfs.raw'/>
      <target dev='vdb' bus='virtio'/>
      <shareable/>
    </disk>
...
*× univention-install ocfs2-tools
*× sed -e 's/7777/7778/' < /usr/share/doc/ocfs2-tools/examples/cluster.conf > /etc/ocfs2/cluster.conf # 7777 is used by bind-proxy
*× dpkg-reconfigure ocfs2-tools
*× ucr set security/packetfilter/disabled=yes
1× mkfs.ocfs2 -b 4k -C 32k -L ocfs /dev/vdb
*× udevadm trigger /sys/class/block/vdb
*× echo /dev/disk/by-label/ocfs /mnt ocfs2 _netdev 0 0 >>/etc/fstab
*× reboot
*× date > /mnt/$HOSTNAME
1× ls -l /mnt/

FYI: I've seen the following OOPS multiple times:
[   23.630671] BUG: unable to handle kernel paging request at ffffffffa03062e6
[   23.630677] IP: [<ffffffffa030d09f>] sc_put+0x1f/0xc0 [ocfs2_nodemanager]
[   23.630685] PGD 1815067 PUD 1816063 PMD 36454067 PTE 3da32161
[   23.630688] Oops: 0003 [#1] SMP 
[   23.630695] Modules linked in: ocfs2 rpcsec_gss_krb5 nfsd auth_rpcgss nfs_acl nfs lockd fscache sunrpc ocfs2_dlmfs ocfs2_stack_o2cb ocfs2_dlm ocfs2_nodemanager ocfs2_stackglue configfs quota_v2 quota_tree parport_pc joydev parport processor thermal_sys psmouse serio_raw pcspkr evdev virtio_balloon i2c_piix4 ext4 crc16 mbcache jbd2 dm_snapshot dm_bufio dm_mirror dm_region_hash dm_log dm_mod hid_generic usbhid hid ata_generic virtio_net virtio_blk floppy ata_piix uhci_hcd ehci_hcd ttm drm_kms_helper libata drm usbcore button scsi_mod virtio_pci virtio_ring i2c_core virtio usb_common
[   23.630723] CPU: 0 PID: 2160 Comm: mount.ocfs2 Not tainted 3.16-ucs102-amd64 #1 Debian 3.16.5-1.102.201411021943
[   23.630726] Hardware name: Bochs Bochs, BIOS Bochs 01/01/2007
[   23.630727] task: ffff8800367e9470 ti: ffff88003add8000 task.ti: ffff88003add8000
[   23.630729] RIP: 0010:[<ffffffffa030d09f>]  [<ffffffffa030d09f>] sc_put+0x1f/0xc0 [ocfs2_nodemanager]
[   23.630735] RSP: 0018:ffff88003addbaf8  EFLAGS: 00010246
[   23.630737] RAX: 0000000000000000 RBX: ffffffffa03062e6 RCX: 0000000000000000
[   23.630738] RDX: 000000000000000d RSI: ffff88003addbb40 RDI: ffffffffa03062e6
[   23.630739] RBP: ffff88003addbb98 R08: 0000000000000000 R09: ffff88003addbb98
[   23.630740] R10: 0000000000000001 R11: 0000000000000010 R12: ffff88003c70ea00
[   23.630741] R13: ffff88003c70ea00 R14: 0000000000000000 R15: 0000000000000000
[   23.630743] FS:  00007f223d5dc720(0000) GS:ffff88003fc00000(0000) knlGS:0000000000000000
[   23.630744] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[   23.630745] CR2: ffffffffa03062e6 CR3: 000000003a4d6000 CR4: 00000000000006f0
[   23.630752] Stack:
[   23.630753]  ffff88003da45630 ffff88003da45630 ffffffff8160da80 ffffffffa030d005
[   23.630755]  0000000000000000 ffff88003addbb98 0000000000000000 ffffffffa030d193
[   23.630757]  0000000000000020 ffffffffa03062e6 ffff88003da45698 0000000000000003
[   23.630759] Call Trace:
[   23.630764]  [<ffffffffa030d005>] ? o2net_tx_can_proceed+0x25/0xa0 [ocfs2_nodemanager]
[   23.630767]  [<ffffffffa030d193>] ? o2net_fill_node_map+0x53/0x70 [ocfs2_nodemanager]
[   23.630770]  [<ffffffffa03062e6>] ? o2hb_fill_node_map+0x46/0x70 [ocfs2_nodemanager]
[   23.630773]  [<ffffffffa02f731e>] ? o2cb_cluster_connect+0x6e/0x2c0 [ocfs2_stack_o2cb]
[   23.630782]  [<ffffffffa04bc100>] ? ocfs2_dlm_shutdown+0x140/0x140 [ocfs2]
[   23.630786]  [<ffffffffa02fca00>] ? ocfs2_cluster_connect+0x1d0/0x290 [ocfs2_stackglue]
[   23.630791]  [<ffffffffa04b7c1d>] ? ocfs2_dlm_init+0x22d/0x5c0 [ocfs2]
[   23.630797]  [<ffffffffa04c77d0>] ? ocfs2_init_node_maps+0x50/0x50 [ocfs2]
[   23.630804]  [<ffffffffa050e666>] ? ocfs2_fill_super+0x16e6/0x2e80 [ocfs2]
[   23.630816]  [<ffffffff812d3d0d>] ? vsnprintf+0x1bd/0x5b0
[   23.630823]  [<ffffffffa050cf80>] ? ocfs2_put_super+0x60/0x60 [ocfs2]
[   23.630828]  [<ffffffff811bbaff>] ? mount_bdev+0x1cf/0x210
[   23.630831]  [<ffffffff811bc68a>] ? mount_fs+0x4a/0x1d0
[   23.630837]  [<ffffffff811d7678>] ? vfs_kern_mount+0x78/0x140
[   23.630840]  [<ffffffff811d9943>] ? do_mount+0x273/0xae0
[   23.630846]  [<ffffffff8114e01e>] ? __get_free_pages+0xe/0x60
[   23.630849]  [<ffffffff811da4dd>] ? SyS_mount+0x9d/0xf0
[   23.630856]  [<ffffffff8154a5ad>] ? system_call_fast_compare_end+0x10/0x15
[   23.630857] Code: 9f e8 27 52 00 00 eb c6 0f 1f 40 00 0f 1f 44 00 00 53 48 89 fb 48 83 ec 30 f6 05 4c b3 00 00 05 74 09 f6 05 83 d2 00 00 05 74 1e <3e> 83 2b 01 74 0b 48 83 c4 30 5b c3 0f 1f 44 00 00 48 83 c4 30 
[   23.630874] RIP  [<ffffffffa030d09f>] sc_put+0x1f/0xc0 [ocfs2_nodemanager]
[   23.630877]  RSP <ffff88003addbaf8>
[   23.630878] CR2: ffffffffa03062e6
[   23.630884] ---[ end trace b6cc0defc348745b ]---
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:55:11 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".